Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.w3c.dom.svg.SVGException
                      org.apache.batik.dom.svg.SVGOMException

All Implemented Interfaces:
  java.io.Serializable

public class SVGOMException
extends SVGException

An implementation of the SVGException class.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.w3c.dom.svg.SVGException
`code, SVG_INVALID_VALUE_ERR, SVG_MATRIX_NOT_INVERTABLE, SVG_WRONG_TYPE_ERR`

Constructor Summary
`SVGOMException(short code, java.lang.String message)` Constructs a new `SVGOMException` with the specified parameters.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVGOMException

    public SVGOMException(short code,
                          java.lang.String message)

  Constructs a new `SVGOMException` with the specified parameters.

Parameters:
  `code` - the exception code
  `message` - the error message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.